# class Chef::Exceptions::MissingRole

### Constants

NULL

### Attributes

expansion[R]

### Public Class Methods

new(message_or_expansion=NULL) click to toggle source
Calls superclass method

    # File lib/chef/exceptions.rb, line 182
    def initialize(message_or_expansion=NULL)
      @expansion = nil
      case message_or_expansion
      when NULL
        super()
      when String
        super
      when RunList::RunListExpansion
        @expansion = message_or_expansion
        missing_roles = @expansion.errors.join(', ')
        super("The expanded run list includes nonexistent roles: #{missing_roles}")
      end
    end